.TH libwacom-list-local-devices 1

.SH NAME
libwacom-list-local-devices - utility to list tablet devices

.SH SYNOPSIS
.B libwacom-list-local-devices [--format=oneline|datafile] [--database /path/to/datadir]

.SH DESCRIPTION
libwacom-list-local-devices is a debug utility to list connected tablet
devices identified by libwacom. It is usually used to check whether a
libwacom data file is correct, present and/or applies to a specific device.
.SH OPTIONS
.TP 8
.B --format=oneline|datafile
Sets the output format to be used. If \fIoneline\fR, the output format is a
one-line format comprising the device name and the event nodes.
If \fIdatafile\fR, the output format matches
the tablet data files. The default is \fIoneline\fR.
.TP 8
.B --database /path/do/datadir
Sets the data directory path to be used. This is only useful when testing
against a modified data path. Only libwacom developers need this option.
.SH NOTES
The Linux kernel provides separate \fI/dev/input/event*\fR nodes for the
stylus, the pad and the touch part of the tablet. These devices nodes are
listed as part of this tool's output.
.PP
This tool is unable to distinguish between multiple identical devices. Only
one such device will be listed, with all event nodes from all devices that
are of the same type.
